using AutoMapper;
using Skcks.Study.AbpProject.Categories;
using Skcks.Study.AbpProject.Products;

namespace Skcks.Study.AbpProject;

public class AbpProjectApplicationAutoMapperProfile : Profile
{
    public AbpProjectApplicationAutoMapperProfile()
    {
        /* You can configure your AutoMapper mapping configuration here.
         * Alternatively, you can split your mapping configurations
         * into multiple profile classes for a better organization. */

        CreateMap<Product, ProductDto>();
        CreateMap<CreateUpdateProductDto, Product>();
        CreateMap<Category, CategoryLookupDto>();
    }
}
